## org.apache.xerces.impl.xs.opti
Class AttrImpl

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.opti.DefaultNode
            |
            +--org.apache.xerces.impl.xs.opti.NodeImpl
                  |
                  +--org.apache.xerces.impl.xs.opti.AttrImpl

All Implemented Interfaces:
  org.w3c.dom.Attr, org.w3c.dom.Node

public class AttrImpl
extends NodeImpl
implements org.w3c.dom.Attr

This class represents a single attribute.

Version:
  $Id: AttrImpl.java,v 1.5 2003/03/20 00:38:30 elena Exp $
Author:
  Rahul Srivastava, Sun Microsystems Inc.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`AttrImpl()` Default Constructor
`AttrImpl(org.w3c.dom.Element element, java.lang.String prefix, java.lang.String localpart, java.lang.String rawname, java.lang.String uri, java.lang.String value)` Constructs an attribute.

Method Summary
`java.lang.String` `getName()`
`org.w3c.dom.Element` `getOwnerElement()`
`org.apache.xerces.dom3.TypeInfo` `getSchemaTypeInfo()` Method getSchemaTypeInfo.
`boolean` `getSpecified()`
`java.lang.String` `getValue()`
`boolean` `isId()`
`void` `setValue(java.lang.String value)`

Methods inherited from class org.apache.xerces.impl.xs.opti.NodeImpl
`getLocalName, getNamespaceURI, getNodeName, getNodeType, getPrefix, getReadOnly, setReadOnly`

Methods inherited from class org.apache.xerces.impl.xs.opti.DefaultNode

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### AttrImpl

    public AttrImpl()

  Default Constructor

### AttrImpl

    public AttrImpl(org.w3c.dom.Element element,
                    java.lang.String prefix,
                    java.lang.String localpart,
                    java.lang.String rawname,
                    java.lang.String uri,
                    java.lang.String value)

  Constructs an attribute.
  Parameters:
    `element` - Element which owns this attribute
    `prefix` - The QName prefix.
    `localpart` - The QName localpart.
    `rawname` - The QName rawname.
    `uri` - The uri binding for the associated prefix.
    `value` - The value of the attribute.

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.w3c.dom.Attr`

### getSpecified

    public boolean getSpecified()

  Specified by:
    `getSpecified` in interface `org.w3c.dom.Attr`

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `org.w3c.dom.Attr`

### getOwnerElement

    public org.w3c.dom.Element getOwnerElement()

  Specified by:
    `getOwnerElement` in interface `org.w3c.dom.Attr`

### setValue

    public void setValue(java.lang.String value)
                  throws org.w3c.dom.DOMException

  Specified by:
    `setValue` in interface `org.w3c.dom.Attr`

### isId

    public boolean isId()

  Since:
    DOM Level 3

### getSchemaTypeInfo

    public org.apache.xerces.dom3.TypeInfo getSchemaTypeInfo()

  Method getSchemaTypeInfo.
  Returns:
    TypeInfo

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.